DISK_EXPAND_PART_TBL(9)

NAME
disk_expand_part_tbl - expand disk->part_tbl

SYNOPSIS

int disk_expand_part_tbl(struct gendisk * disk, int partno);

ARGUMENTS

disk
    disk to expand part_tbl for

partno
    expand such that this partno can fit in

DESCRIPTION

Expand disk->part_tbl such that partno can fit in. disk->part_tbl uses RCU to allow unlocked dereferencing for stats and other stuff.

LOCKING

Matching bd_mutex locked, might sleep.

RETURNS

0 on success, -errno on failure.

COPYRIGHT